<VirtualHost *:443>
	SSLEngine On
	SSLCertificateFile <%= node['secureci-apache2']['crt'] %>
	SSLCertificateKeyFile <%= node['secureci-apache2']['key'] %>

	ServerAdmin <%= node['email'] %>
	ServerName <%= node.default['name'] %>
	
	RequestHeader set X-Forwarded-Proto "https"
    RequestHeader set X-Forwarded-Port "443"
    
    ProxyRequests     Off
    ProxyPreserveHost On
    AllowEncodedSlashes NoDecode
	
	<Proxy http://localhost:<%= node['jenkins']['master']['port'] %>/jenkins*>
            Order deny,allow
            Allow from all
    </Proxy>
    ProxyPass         /jenkins  http://localhost:<%= node['jenkins']['master']['port'] %>/jenkins nocanon
    ProxyPassReverse  /jenkins  http://localhost:<%= node['jenkins']['master']['port'] %>/jenkins
    ProxyPassReverse  /jenkins  http://127.0.0.1/jenkins

	<Proxy http://localhost:<%= node['nexus']['port'] %>/nexus*>
            Order deny,allow
            Allow from all
    </Proxy>
    ProxyPass         /nexus  http://localhost:<%= node['nexus']['port'] %>/nexus nocanon
    ProxyPassReverse  /nexus  http://localhost:<%= node['nexus']['port'] %>/nexus
    ProxyPassReverse  /nexus  http://127.0.0.1/nexus

	<Proxy http://localhost:<%= node['sonar']['port'] %>/sonar*>
            Order deny,allow
            Allow from all
    </Proxy>
    ProxyPass         /sonar  http://localhost:<%= node['sonar']['port'] %>/sonar nocanon
    ProxyPassReverse  /sonar  http://localhost:<%= node['sonar']['port'] %>/sonar
    ProxyPassReverse  /sonar  http://127.0.0.1/sonar

	<Proxy http://localhost:<%= node['gitblit']['port'] %>/gitblit*>
            Order deny,allow
            Allow from all
    </Proxy>
    ProxyPass         /gitblit  http://localhost:<%= node['gitblit']['port'] %>/gitblit nocanon
    ProxyPassReverse  /gitblit  http://localhost:<%= node['gitblit']['port'] %>/gitblit
    ProxyPassReverse  /gitblit  http://127.0.0.1/gitblit

	<Proxy http://localhost:4444/grid*>
            Order deny,allow
            Allow from all
    </Proxy>
    ProxyPass         /grid  http://localhost:4444/grid nocanon
    ProxyPassReverse  /grid  http://localhost:4444/grid
    ProxyPassReverse  /grid  http://127.0.0.1/grid
	
	DocumentRoot <%= node['apache']['docroot_dir'] %>
	<Directory />
		Options FollowSymLinks
		AllowOverride None
	</Directory>
	<Directory <%= node['apache']['docroot_dir'] %>>
		Options Indexes FollowSymLinks MultiViews
		AllowOverride None
		Order allow,deny
		allow from all
	</Directory>

	ScriptAlias /cgi-bin/ <%= node['apache']['cgibin_dir'] %>
	<Directory "<%= node['apache']['cgibin_dir'] %>">
		AllowOverride None
		Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
		Order allow,deny
		Allow from all
	</Directory>

	ErrorLog <%= node['apache']['log_dir'] %>/<%= node['apache']['error_log'] %>

	# Possible values include: debug, info, notice, warn, error, crit,
	# alert, emerg.
	LogLevel warn

	CustomLog <%= node['apache']['log_dir'] %>/<%= node['apache']['access_log'] %> combined
	ServerSignature On

	Alias /doc/ "/usr/share/doc/"
	<Directory "/usr/share/doc/">
		Options Indexes MultiViews FollowSymLinks
		AllowOverride None
		Order deny,allow
		Deny from all
		Allow from 127.0.0.0/255.0.0.0 ::1/128
	</Directory>

	<Location />
		AuthUserFile <%= node['subversion']['auth_user_file'] %>
		AuthName "Authorization Required For SecureCI"
		AuthType Basic
		require valid-user
	</Location>
	<Location /trac>
		SetHandler mod_python
		PythonInterpreter main_interpreter
		PythonHandler trac.web.modpython_frontend
		PythonOption TracEnv <%= node['trac']['project']['dir'] %>
		PythonOption TracEnvParentDir <%= node['trac']['base'] %>
		PythonOption TracUriRoot /trac
		PythonOption TracLocale en_US.UTF8
		Order allow,deny
		Allow from all         
	</Location>
	<Location ~ "/nexus/*"> #nexus is using its own http auth
		Satisfy Any
		Allow from all
		AuthType None
		Require all granted
	</Location>

	<% if ::File.directory?(File.join(node['tools']['base_dir'],"secureci-testing-framework-#{node['tools']['secureci-testing-framework']['version']}")) %>
	Alias /stfdoc "/usr/java/secureci-testing-framework-<%= node['tools']['secureci-testing-framework']['version'] %>/doc/"
	<Directory "/usr/java/secureci-testing-framework-<%= node['tools']['secureci-testing-framework']['version'] %>/doc/">
		Require all granted
	</Directory>
	Alias /stfres "/usr/java/secureci-testing-framework-<%= node['tools']['secureci-testing-framework']['version'] %>/test-output/"
	<Directory "/usr/java/secureci-testing-framework-<%= node['tools']['secureci-testing-framework']['version'] %>/test-output/">
		Require all granted
	</Directory>
	<% end %>
</VirtualHost>


<VirtualHost *:8443>
    SSLEngine On
    SSLCertificateFile /etc/apache2/ssl/secureci.crt
    SSLCertificateKeyFile /etc/apache2/ssl/secureci.key

    ServerAdmin secureci@coveros.com
    ServerName secureci

    RequestHeader set X-Forwarded-Proto "https"
    RequestHeader set X-Forwarded-Port "<%= node['secureci-apache2']['docker']['externalport'] %>"

    ProxyRequests     On
    ProxyPreserveHost On
    ProxyVia On
    AllowEncodedSlashes NoDecode

    ProxyPass         /  http://localhost:<%= node['secureci-apache2']['docker']['internalport'] %>/
    ProxyPassReverse  /  http://localhost:<%= node['secureci-apache2']['docker']['internalport'] %>/
    <Location />
      Require all granted
    </Location>
</VirtualHost>

